%define anolis_release 5

Name:           passwd
Version:        0.80
Release:        %{anolis_release}%{?dist}
Summary:        An utility for setting or changing passwords using PAM

License:        BSD or GPL+
URL:            https://pagure.io/passwd
Source0:        https://releases.pagure.org/passwd/passwd-%{version}.autotoolized.tar.bz2

Patch0: 0001-PATCH-lsof-fix-incorrect-S-output.patch

BuildRequires:  m4
BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  libuser-devel
BuildRequires:  pam-devel
BuildRequires:  libuser
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  popt-devel
BuildRequires:  libselinux-devel
BuildRequires:  audit-libs-devel

%description
This package contains a system utility (passwd) which sets or changes
passwords, using PAM (Pluggable Authentication Modules) library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --with-selinux --with-audit 
%make_build

%install
%make_install
install -m 644 passwd.pamd -D %{buildroot}%{_sysconfdir}/pam.d/passwd
%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%license COPYING
%config(noreplace) %{_sysconfdir}/pam.d/passwd
%attr(4755,root,root) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*

%files doc
%doc AUTHORS ChangeLog NEWS

%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 0.80-5
- Bump release for upgrading from anolis 8

* Thu Dec 15 2022 Guyu Wang <guyu.wgy@linux.alibaba-inc.com> - 0.80-4
- add patch 

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.80-3
- add doc package

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.80-2
- remove requires of library

* Thu Mar 03 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.80-1
- Initial packaging for Anolis OS 23
